// create a private scope
(function(){
	
	
	
	///////////////////////////////////////////////////////////////////////////////////
	// Update CSS filters.
	
	// add filter
	window.top.addEventListener("filter:exclude", function( evt ){
		var tag = evt.value;
		if( !tag )
			return;
		tag = tag.toLowerCase();
		var tagValue = "hide_" + tag;
		document.body.classList.add( tagValue );
	});// filter:exclude()
	
	
	
	// remove filter
	window.top.addEventListener("filter:include", function( evt ){
		var tag = evt.value;
		if( !tag )
			return;
		tag = tag.toLowerCase();
		var tagValue = "hide_" + tag;
		document.body.classList.remove( tagValue );
	});// filter:include()
	
	
	
	///////////////////////////////////////////////////////////////////////////////////
	// Read the tag filters and apply them to the body tag as classes.
	
	(function(){
		if( hasLocalStorage() ){
			// add a test filter
			//localStorage.setItem("defaultSearch", ["-loli", "-test"]);
			
			// if: filters exist
			var filters_str = localStorage.getItem("defaultSearch");
			if( filters_str ){
				var filters_ary = filters_str.split(',');
				for(var f=0; f<filters_ary.length; f++){
					var item = filters_ary[f];
										if( item.charAt(0) === '-' )
					{// if:  this filter starts with -
						var tag = item.substr(1).toLowerCase();
						if( tag ){
							var addThis = "hide_" + tag;
							document.body.classList.add( addThis );
						}// if:  tag is not empty
					}// if:  this filter starts with -
				}// for each: filter
			}// if: filters exist
		}// if: localStorage is useable
	})();// private scope
	
	
	
	///////////////////////////////////////////////////////////////////////////////////
	// Helper functions
	
	function hasLocalStorage() {
		try {
			const key = "test_localStorage";
			localStorage.setItem(key, key);
			localStorage.removeItem(key);
			return true;
		} catch (e) {
			return false;
		}
	}// hasLocalStorage()
	
	
	
})();// private scope